// pages/personinfo/personinfo.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    endDate: "",
    birth: "1993-12-12",
    sex: 0,
    array: ["男", "女"],
    tel: "18822224444",
    userName: "伊布",
    imgUrl:"../../images/headImg.jpg"
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var d = new Date();
    var endDate = d.getFullYear() + '-' + (d.getMonth() + 1) + '-' + d.getDate()
    this.setData({
      endDate
    })
  },

  changeUserName: function (e) {
    this.setData({
      userName: e.detail.value
    })
  },
  changeTel: function (e) {
    this.setData({
      tel: e.detail.value
    })
  },
  changeBirth: function (e) {
    this.setData({
      birth: e.detail.value
    })
  },
  changeSex: function (e) {
    console.log(e.detail)
    this.setData({
      sex: e.detail.value
    })
  },
  upload: function () {
    var _this = this;
    wx.chooseImage({
      count: 1, // 默认9      
      sizeType: ['original', 'compressed'],
      // 指定是原图还是压缩图，默认两个都有      
      sourceType: ['album', 'camera'],
      // 指定来源是相册还是相机，默认两个都有    
      success: function (res) {
        // 返回选定照片的本地文件路径tempFilePath可以作为img标签的src属性显示图片        
        _this.setData({
          imgUrl: res.tempFilePaths
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})